> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post forumssystem

> Creates a new Forum, adding a new account if provided and initializing with default values if requested.

*This operation is intended for management of multiple forums used by multiple accounts.
The requestor must be the SystemAdmin, or a AuthorizationException is thrown.*

This operation requires a Create Forum Account Data value.

This operation returns a Account Data value of the Forum's owning Account.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /forums/system
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /forums/system:
    post:
      tags:
        - ForumService
      description: >-
        Creates a new Forum, adding a new account if provided and initializing
        with default values if requested.


        *This operation is intended for management of multiple forums used by
        multiple accounts.

        The requestor must be the SystemAdmin, or a AuthorizationException is
        thrown.*


        This operation requires a Create Forum Account Data value.


        This operation returns a Account Data value of the Forum's owning
        Account.
      operationId: createForum
      parameters: []
      requestBody:
        description: CreateForumAccountData
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  accountOwner:
                    emailAddress: ...
                    lastName: ...
                    firstName: ...
                    password: ...
                  forumOwner:
                    sysidHomeForum: 12345
                    customRules:
                      - sysidAccountCustomRule: 12345
                        sysidCustomRuleType: 12345
                      - sysidAccountCustomRule: 12345
                        sysidCustomRuleType: 12345
                    images:
                      - height: 12345
                        width: 12345
                        sysidAccountImage: 12345
                        description: ...
                        thumbnailSource: ...
                        imageSource: ...
                        displayOrder: 12345
                        defaultImage: true
                        name: ...
                      - height: 12345
                        width: 12345
                        sysidAccountImage: 12345
                        description: ...
                        thumbnailSource: ...
                        imageSource: ...
                        displayOrder: 12345
                        defaultImage: true
                        name: ...
                    name: ...
                    license: ...
                    active: true
                    description: ...
                    accountType: PUBLIC_PUBLISHER
                    sysidOwnerUser: 12345
                    sysidAccount: 12345
                    allowICS: true
                    login: ...
                    externalMeetingTypes:
                      - sysidAccountExternalMeeting: 12345
                        sysidExternalMeetingType: 12345
                      - sysidAccountExternalMeeting: 12345
                        sysidExternalMeetingType: 12345
                    password: ...
                    sysidAccountType: 12345
                    tangoAccountID: ...
                    displayLinks:
                      - text: ...
                        description: ...
                        targetURL: ...
                        sysidLanguage: 12345
                        display: true
                        imageURL: ...
                        expirationAqDate: {}
                        external: true
                        sysidDisplayLink: 12345
                        displayOrder: 12345
                        activationAqDate: {}
                      - text: ...
                        description: ...
                        targetURL: ...
                        sysidLanguage: 12345
                        display: true
                        imageURL: ...
                        expirationAqDate: {}
                        external: true
                        sysidDisplayLink: 12345
                        displayOrder: 12345
                        activationAqDate: {}
                  forum:
                    allowSelfRegistration: true
                    active: true
                    name: ...
                    allowAnonymousBrowsing: true
                    description: ...
                    schemaName: ...
                    forumMembers:
                      - owner: true
                        sysidForumMember: 12345
                        sysidAccount: 12345
                      - owner: true
                        sysidForumMember: 12345
                        sysidAccount: 12345
                    sysidForum: 12345
                    databaseName: ...
            schema:
              $ref: '#/components/schemas/CreateForumAccountData'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    sysidHomeForum: 12345
                    customRules:
                      - sysidAccountCustomRule: 12345
                        sysidCustomRuleType: 12345
                      - sysidAccountCustomRule: 12345
                        sysidCustomRuleType: 12345
                    images:
                      - height: 12345
                        width: 12345
                        sysidAccountImage: 12345
                        description: ...
                        thumbnailSource: ...
                        imageSource: ...
                        displayOrder: 12345
                        defaultImage: true
                        name: ...
                      - height: 12345
                        width: 12345
                        sysidAccountImage: 12345
                        description: ...
                        thumbnailSource: ...
                        imageSource: ...
                        displayOrder: 12345
                        defaultImage: true
                        name: ...
                    name: ...
                    license: ...
                    active: true
                    description: ...
                    accountType: PRIVATE_BUSINESS
                    sysidOwnerUser: 12345
                    sysidAccount: 12345
                    allowICS: true
                    login: ...
                    externalMeetingTypes:
                      - sysidAccountExternalMeeting: 12345
                        sysidExternalMeetingType: 12345
                      - sysidAccountExternalMeeting: 12345
                        sysidExternalMeetingType: 12345
                    password: ...
                    sysidAccountType: 12345
                    tangoAccountID: ...
                    displayLinks:
                      - text: ...
                        description: ...
                        targetURL: ...
                        sysidLanguage: 12345
                        display: true
                        imageURL: ...
                        expirationAqDate:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        external: true
                        sysidDisplayLink: 12345
                        displayOrder: 12345
                        activationAqDate:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                      - text: ...
                        description: ...
                        targetURL: ...
                        sysidLanguage: 12345
                        display: true
                        imageURL: ...
                        expirationAqDate:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        external: true
                        sysidDisplayLink: 12345
                        displayOrder: 12345
                        activationAqDate:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
              schema:
                $ref: '#/components/schemas/AccountData'
          description: |-
            AccountData
            com.agilquest.phoenix.shared.data.account.AccountData
components:
  schemas:
    CreateForumAccountData:
      type: object
      title: CreateForumAccountData
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            accountOwner:
              $ref: '#/components/schemas/CreateAccountOwnerData'
            forumOwner:
              $ref: '#/components/schemas/AccountData'
            forum:
              $ref: '#/components/schemas/ForumData'
      example:
        accountOwner:
          emailAddress: ...
          lastName: ...
          firstName: ...
          password: ...
        forumOwner:
          sysidHomeForum: 12345
          customRules:
            - sysidAccountCustomRule: 12345
              sysidCustomRuleType: 12345
            - sysidAccountCustomRule: 12345
              sysidCustomRuleType: 12345
          images:
            - height: 12345
              width: 12345
              sysidAccountImage: 12345
              description: ...
              thumbnailSource: ...
              imageSource: ...
              displayOrder: 12345
              defaultImage: true
              name: ...
            - height: 12345
              width: 12345
              sysidAccountImage: 12345
              description: ...
              thumbnailSource: ...
              imageSource: ...
              displayOrder: 12345
              defaultImage: true
              name: ...
          name: ...
          license: ...
          active: true
          description: ...
          accountType: PRIVATE_BUSINESS
          sysidOwnerUser: 12345
          sysidAccount: 12345
          allowICS: true
          login: ...
          externalMeetingTypes:
            - sysidAccountExternalMeeting: 12345
              sysidExternalMeetingType: 12345
            - sysidAccountExternalMeeting: 12345
              sysidExternalMeetingType: 12345
          password: ...
          sysidAccountType: 12345
          tangoAccountID: ...
          displayLinks:
            - text: ...
              description: ...
              targetURL: ...
              sysidLanguage: 12345
              display: true
              imageURL: ...
              expirationAqDate: {}
              external: true
              sysidDisplayLink: 12345
              displayOrder: 12345
              activationAqDate: {}
            - text: ...
              description: ...
              targetURL: ...
              sysidLanguage: 12345
              display: true
              imageURL: ...
              expirationAqDate: {}
              external: true
              sysidDisplayLink: 12345
              displayOrder: 12345
              activationAqDate: {}
        forum:
          allowSelfRegistration: true
          active: true
          name: ...
          allowAnonymousBrowsing: true
          description: ...
          schemaName: ...
          forumMembers:
            - owner: true
              sysidForumMember: 12345
              sysidAccount: 12345
            - owner: true
              sysidForumMember: 12345
              sysidAccount: 12345
          sysidForum: 12345
          databaseName: ...
    AccountData:
      type: object
      title: AccountData
      required:
        - active
        - allowICS
        - sysidAccountType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidHomeForum:
              type: integer
              format: int32
            customRules:
              type: array
              items:
                $ref: '#/components/schemas/AccountCustomRule'
            images:
              type: array
              items:
                $ref: '#/components/schemas/AccountImage'
            name:
              type: string
            license:
              type: string
            active:
              type: boolean
            description:
              type: string
            accountType:
              $ref: '#/components/schemas/AccountType'
            sysidOwnerUser:
              type: integer
              format: int32
            sysidAccount:
              type: integer
              format: int32
            allowICS:
              type: boolean
            login:
              type: string
            externalMeetingTypes:
              type: array
              items:
                $ref: '#/components/schemas/AccountExternalMeeting'
            password:
              type: string
            sysidAccountType:
              type: integer
              format: int32
            tangoAccountID:
              type: string
            displayLinks:
              type: array
              items:
                $ref: '#/components/schemas/AccountDisplayLink'
      example:
        sysidHomeForum: 12345
        customRules:
          - sysidAccountCustomRule: 12345
            sysidCustomRuleType: 12345
          - sysidAccountCustomRule: 12345
            sysidCustomRuleType: 12345
        images:
          - height: 12345
            width: 12345
            sysidAccountImage: 12345
            description: ...
            thumbnailSource: ...
            imageSource: ...
            displayOrder: 12345
            defaultImage: true
            name: ...
          - height: 12345
            width: 12345
            sysidAccountImage: 12345
            description: ...
            thumbnailSource: ...
            imageSource: ...
            displayOrder: 12345
            defaultImage: true
            name: ...
        name: ...
        license: ...
        active: true
        description: ...
        accountType: PUBLIC_PUBLISHER
        sysidOwnerUser: 12345
        sysidAccount: 12345
        allowICS: true
        login: ...
        externalMeetingTypes:
          - sysidAccountExternalMeeting: 12345
            sysidExternalMeetingType: 12345
          - sysidAccountExternalMeeting: 12345
            sysidExternalMeetingType: 12345
        password: ...
        sysidAccountType: 12345
        tangoAccountID: ...
        displayLinks:
          - text: ...
            description: ...
            targetURL: ...
            sysidLanguage: 12345
            display: true
            imageURL: ...
            expirationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            external: true
            sysidDisplayLink: 12345
            displayOrder: 12345
            activationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
          - text: ...
            description: ...
            targetURL: ...
            sysidLanguage: 12345
            display: true
            imageURL: ...
            expirationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            external: true
            sysidDisplayLink: 12345
            displayOrder: 12345
            activationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
    DependentData:
      type: object
      title: DependentData
      example: {}
    CreateAccountOwnerData:
      type: object
      title: CreateAccountOwnerData
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            emailAddress:
              type: string
            lastName:
              type: string
            firstName:
              type: string
            password:
              type: string
      example:
        emailAddress: ...
        lastName: ...
        firstName: ...
        password: ...
    ForumData:
      type: object
      title: ForumData
      required:
        - allowSelfRegistration
        - active
        - allowAnonymousBrowsing
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            allowSelfRegistration:
              type: boolean
            active:
              type: boolean
            name:
              type: string
            allowAnonymousBrowsing:
              type: boolean
            description:
              type: string
            schemaName:
              type: string
            forumMembers:
              type: array
              items:
                $ref: '#/components/schemas/ForumMember'
            sysidForum:
              type: integer
              format: int32
            databaseName:
              type: string
      example:
        allowSelfRegistration: true
        active: true
        name: ...
        allowAnonymousBrowsing: true
        description: ...
        schemaName: ...
        forumMembers:
          - owner: true
            sysidForumMember: 12345
            sysidAccount: 12345
          - owner: true
            sysidForumMember: 12345
            sysidAccount: 12345
        sysidForum: 12345
        databaseName: ...
    AccountCustomRule:
      type: object
      title: AccountCustomRule
      required:
        - sysidCustomRuleType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidAccountCustomRule:
              type: integer
              format: int32
            sysidCustomRuleType:
              type: integer
              format: int32
      example:
        sysidAccountCustomRule: 12345
        sysidCustomRuleType: 12345
    AccountImage:
      type: object
      title: AccountImage
      required:
        - defaultImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            height:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            sysidAccountImage:
              type: integer
              format: int32
            description:
              type: string
            thumbnailSource:
              type: string
            imageSource:
              type: string
            displayOrder:
              type: integer
              format: int32
            defaultImage:
              type: boolean
            name:
              type: string
      example:
        height: 12345
        width: 12345
        sysidAccountImage: 12345
        description: ...
        thumbnailSource: ...
        imageSource: ...
        displayOrder: 12345
        defaultImage: true
        name: ...
    AccountType:
      type: string
      title: AccountType
      enum:
        - PUBLIC_PUBLISHER
        - PRIVATE_BUSINESS
    AccountExternalMeeting:
      type: object
      title: AccountExternalMeeting
      required:
        - sysidExternalMeetingType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidAccountExternalMeeting:
              type: integer
              format: int32
            sysidExternalMeetingType:
              type: integer
              format: int32
      example:
        sysidAccountExternalMeeting: 12345
        sysidExternalMeetingType: 12345
    AccountDisplayLink:
      type: object
      title: AccountDisplayLink
      required:
        - display
        - external
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            text:
              type: string
            description:
              type: string
            targetURL:
              type: string
            sysidLanguage:
              type: integer
              format: int32
            display:
              type: boolean
            imageURL:
              type: string
            expirationAqDate:
              $ref: '#/components/schemas/AqDate'
            external:
              type: boolean
            sysidDisplayLink:
              type: integer
              format: int32
            displayOrder:
              type: integer
              format: int32
            activationAqDate:
              $ref: '#/components/schemas/AqDate'
      example:
        text: ...
        description: ...
        targetURL: ...
        sysidLanguage: 12345
        display: true
        imageURL: ...
        expirationAqDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        external: true
        sysidDisplayLink: 12345
        displayOrder: 12345
        activationAqDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
    ForumMember:
      type: object
      title: ForumMember
      required:
        - owner
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            owner:
              type: boolean
            sysidForumMember:
              type: integer
              format: int32
            sysidAccount:
              type: integer
              format: int32
      example:
        owner: true
        sysidForumMember: 12345
        sysidAccount: 12345
    AqDate:
      discriminator: discriminator
      type: object
      title: AqDate
      required:
        - hour
        - year
        - month
        - dayOfMonth
        - minute
        - noEndDate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            hour:
              type: integer
              format: int32
            tzIdValue:
              type: string
            year:
              type: integer
              format: int32
            month:
              type: integer
              format: int32
            dayOfMonth:
              type: integer
              format: int32
            minute:
              type: integer
              format: int32
            noEndDate:
              type: boolean
      example:
        discriminator: AqDate
        hour: 12345
        tzIdValue: ...
        year: 12345
        month: 12345
        dayOfMonth: 12345
        minute: 12345
        noEndDate: true

````